≡ Menu

New Warcraft expansion may not play nicely with MacBooks

WoWInsider notes that the system requirements have been posted for the upcoming Wrath of the Lich King expansion for World of Warcraft – and from what’s quoted, you won’t be running it on a MacBook. The built-in graphics are, sadly, unsupported. Of course, that doesn’t mean it won’t run, but you may not have a particularly good time playing.

Comments on this entry are closed.


Warning: include_once(/homepages/22/d163725603/htdocs/technovia): failed to open stream: Success in /homepages/22/d163725603/htdocs/technovia/wp-content/themes/thesis/lib/core/skin/boxes.php on line 1977

Warning: include_once(): Failed opening '' for inclusion (include_path='.:/usr/lib/php5.4') in /homepages/22/d163725603/htdocs/technovia/wp-content/themes/thesis/lib/core/skin/boxes.php on line 1977